
Redmine - Defect #18060

Selected projects in email notifications on "my account" are lost when the page is redisplayed after a

validation error.

2014-10-10 15:42 - Felix Schäfer

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version: 2.6.1   

Resolution: Fixed Affected version: 2.5.2

Description

On "my account" with "for any event on the selected projects only" selected in the email notifications area and some projects selected

for that, the selected projects (newly selected and already saved) are lost if the page gets redisplayed after for example a validation

error (no first name for example).

Associated revisions

Revision 13638 - 2014-11-22 11:56 - Jean-Philippe Lang

Selected projects in email notifications on "my account" are lost when the page is redisplayed after a validation error (#18060).

Patch by Felix Schäfer.

Revision 13642 - 2014-11-23 09:44 - Jean-Philippe Lang

Merged r13638 (#18060).

History

#1 - 2014-10-10 16:04 - Felix Schäfer

- File 18060-coerce_ids_to_integers added

The problem is that User#notified_projects_ids= source:/trunk/app/models/user.rb@13435#L355 may receive an array of strings, for example from an

update through a web form, which is stored as is. source:/trunk/app/views/users/_mail_notifications.html.erb@13435#L16 on the other hand expects

an array of integers to populate the form.

The attached patch makes sure anything passed to User#notified_projects_ids= is stored as an array of integers in the instance variable.

#2 - 2014-11-09 04:27 - Toshi MARUYAMA

- Target version set to 2.6.1

#3 - 2014-11-22 11:57 - Jean-Philippe Lang

Patch committed in r13638.

#4 - 2014-11-23 09:45 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Files

18060-coerce_ids_to_integers 1.09 KB 2014-10-10 Felix Schäfer
